#1 qpxtool-0.6.1 on Ubuntu Hardy von Vaa 30.04.2008 22:13

Hello,

getting this error when trying to compile:

Zitat
make[2]: Entering directory `/home/valek/Desktop/qpxtool-0.6.1/lib/qpxtransport'
g++ -Wall -g -O2 -fPIC -I. -I./include -I../include -c -o common_functions.o common_functions.cpp
g++ -Wall -g -O2 -fPIC -I. -I./include -I../include -c -o qpx_transport.o qpx_transport.cpp
qpx_transport.cpp: In member function ‘int Scsi_Command::umount(int)’:
qpx_transport.cpp:286: warning: missing sentinel in function call
qpx_transport.cpp: In member function ‘int Scsi_Command::is_reload_needed()’:
qpx_transport.cpp:319: error: ‘INT_MAX’ was not declared in this scope
make[2]: *** [qpx_transport.o] Error 1
make[2]: Leaving directory `/home/valek/Desktop/qpxtool-0.6.1/lib/qpxtransport'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/valek/Desktop/qpxtool-0.6.1/lib'
make: *** [all] Error 2



Any idea what can be wrong here?

Thanks!

#2 RE: qpxtool-0.6.1 on Ubuntu Hardy von franket 05.05.2008 05:02

I found this problem too.

I try to search on this board and found

http://qpxtool.siteboard.de/viewtopic.ph...&mforum=qpxtool


this link said you must add patch

http://bugs.gentoo.org/attachment.cgi?id=134129

and then install follow this link
topic.php?topic=45

have fun

#3 RE: qpxtool-0.6.1 on Ubuntu Hardy von Vaa 06.05.2008 18:31

Hallo!

Thanks a lot for the patch, have missed it somehow when searching through the forum =). Btw, the guide is a little bit outdated =).

So, I've got the .deb and got it installed and running which makes me rather happy. But unfo it seems none of my drives are supported well (NEC Optiarc DVD RW AD-7173A and LITE-ON DVDRW SHW-16H5S (gives a lot of "unable to LiteOn_pi_do_one_interval_scan : Invalid argument" and then "Segmentation fault")).


Anyways, thanks to developers and hope for future updates =).

Xobor Ein Kostenloses Forum von Xobor.de
Einfach ein Forum erstellen
Datenschutz